Aircraft Fleets Dataset
curl --request GET \
--url https://api.flystack.dev/v1/fleets \
--header 'x-api-key: <x-api-key>'import requests
url = "https://api.flystack.dev/v1/fleets"
headers = {"x-api-key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<x-api-key>'}};
fetch('https://api.flystack.dev/v1/fleets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.flystack.dev/v1/fleets",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <x-api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.flystack.dev/v1/fleets"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<x-api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.flystack.dev/v1/fleets")
.header("x-api-key", "<x-api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.flystack.dev/v1/fleets")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<x-api-key>'
response = http.request(request)
puts response.read_body[
{
"hex": "A9D286",
"reg_number": "N732AN",
"flag": "US",
"airline_icao": "AAL",
"airline_iata": "AA",
"last_seen": 172540,
"icao": "B77W",
"iata": "77W",
"model": "Boeing 777-300ER pax",
"engine": "jet",
"engine_count": "2",
"manufacturer": "BOEING",
"type": "landplane",
"category": "H",
"built": 2015,
"age": 6,
"msn": "31549",
"line": "1257",
"lat": 25.263,
"lng": 51.612,
"alt": 0,
"dir": 67,
"speed": 1,
"v_speed": 0,
"squawk": "0000"
}
]
Datasets
Aircraft Fleets Dataset
Explore airline fleets and aircraft metadata worldwide, with optional latest known position fields.
GET
/
v1
/
fleets
Aircraft Fleets Dataset
curl --request GET \
--url https://api.flystack.dev/v1/fleets \
--header 'x-api-key: <x-api-key>'import requests
url = "https://api.flystack.dev/v1/fleets"
headers = {"x-api-key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<x-api-key>'}};
fetch('https://api.flystack.dev/v1/fleets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.flystack.dev/v1/fleets",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <x-api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.flystack.dev/v1/fleets"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<x-api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.flystack.dev/v1/fleets")
.header("x-api-key", "<x-api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.flystack.dev/v1/fleets")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<x-api-key>'
response = http.request(request)
puts response.read_body[
{
"hex": "A9D286",
"reg_number": "N732AN",
"flag": "US",
"airline_icao": "AAL",
"airline_iata": "AA",
"last_seen": 172540,
"icao": "B77W",
"iata": "77W",
"model": "Boeing 777-300ER pax",
"engine": "jet",
"engine_count": "2",
"manufacturer": "BOEING",
"type": "landplane",
"category": "H",
"built": 2015,
"age": 6,
"msn": "31549",
"line": "1257",
"lat": 25.263,
"lng": 51.612,
"alt": 0,
"dir": 67,
"speed": 1,
"v_speed": 0,
"squawk": "0000"
}
]
Augment your product with aircraft fleet data: display aircraft model/type, estimate fleet age, enrich flight tracking experiences, and improve the overall quality of information in your UI.
Authentication
string
required
Your FlyStack API token. You can create one from the dashboard (see Authentication).
Query parameters
Pagination
number
Max number of rows per response (limits may depend on your plan).
number
Pagination offset (0+). Use with
limit when a response indicates there are more results.Filters
string
Filter by airline IATA code (e.g.,
AA).string
Filter by airline ICAO code (e.g.,
AAL).string
Filter by ICAO24 hex address.
string
Filter by aircraft registration number.
string
Filter by manufacturer serial number (MSN).
string
Filter by country ISO-2 code.
Response shaping
string
Comma-separated list of fields to return (e.g.,
hex,airline_iata,manufacturer).Latest GEO fields (lat/lng/alt/dir/speed/v_speed/squawk/last_seen) are typically available when querying by
msn, hex, or reg_number (coverage may vary).Response
The endpoint returns a list of aircraft.Aircraft fleet response fields
Show Identifiers
Show Identifiers
Show Aircraft type
Show Aircraft type
string
Aircraft ICAO type designator (e.g.,
B77W).string
Aircraft IATA type designator (e.g.,
77W).string
Full aircraft model name (when available).
string
Aircraft manufacturer (when available).
string
Manufacturer serial number (when available).
string
Manufacturer line number (when available).
string
Aircraft type (e.g.,
landplane, helicopter, amphibian, …).string
Wake turbulence category (e.g.,
J, H, M, L).Show Engines & age
Show Engines & age
Show Latest known position (optional)
Show Latest known position (optional)
[
{
"hex": "A9D286",
"reg_number": "N732AN",
"flag": "US",
"airline_icao": "AAL",
"airline_iata": "AA",
"last_seen": 172540,
"icao": "B77W",
"iata": "77W",
"model": "Boeing 777-300ER pax",
"engine": "jet",
"engine_count": "2",
"manufacturer": "BOEING",
"type": "landplane",
"category": "H",
"built": 2015,
"age": 6,
"msn": "31549",
"line": "1257",
"lat": 25.263,
"lng": 51.612,
"alt": 0,
"dir": 67,
"speed": 1,
"v_speed": 0,
"squawk": "0000"
}
]